<template>
    <lightning-layout>
        <lightning-layout-item>
            <lightning-button label="First" icon-name="utility:chevronleft" onclick={handleFirst}
                              disabled={showFirstButton}></lightning-button>
        </lightning-layout-item>
        <lightning-layout-item>
            <lightning-button label="Previous" icon-name="utility:chevronleft" onclick={handlePrevious}
                              disabled={showFirstButton}></lightning-button>
        </lightning-layout-item>
        <lightning-layout-item flexibility="grow"></lightning-layout-item>
        <lightning-layout-item>
            <lightning-button label="Next" icon-name="utility:chevronright" icon-position="right" onclick={handleNext}
                              disabled={showLastButton}></lightning-button>
        </lightning-layout-item>
        <lightning-layout-item>
            <lightning-button label="Last" icon-name="utility:chevronright" icon-position="right" onclick={handleLast}
                              disabled={showLastButton}></lightning-button>
        </lightning-layout-item>
    </lightning-layout>
</template>